package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentFaceReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUsableFacesetListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentFaceReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentFaceResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUsableFacesetListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentFaceResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年7月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface FaceCloudService extends CloudService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SaveStudentFaceResp saveStudentFace(SaveStudentFaceReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetUsableFacesetListResp getUsableFacesetList(GetUsableFacesetListReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetStudentFaceResp getStudentFace(GetStudentFaceReq req);

}
