package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentResp;

/**
 * 学生接口服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午5:10:40
 * @company QMTH
 * @description StudentCloudService.java
 */
public interface StudentCloudService extends CloudService {

	/**
	 * 插入或更新学生
	 *
	 * @author WANGWEI
	 * @param req
	 */
	SaveStudentResp saveStudent(SaveStudentReq req);

	GetStudentResp getStudent(GetStudentReq req);

}
