package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp;

/**
 * 考生信息服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午2:01:15
 * @company QMTH
 * @description ExamStudentCloudService.java
 */
public interface ExamStudentCloudService extends CloudService {

	/**
	 * 保存考生信息
	 * 
	 * @param examStudentReq
	 */
	SaveExamStudentResp saveExamStudent(SaveExamStudentReq req);

}
