package cn.com.qmth.examcloud.examwork.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

public class ExamStudentBean implements JsonSerializable {
	private static final long serialVersionUID = 2079003980099252759L;

	private Long id;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 考试名称
	 */
	private String examName;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 学生学号
	 */
	private String studentCode;

	/**
	 * 学生身份证号
	 */
	private String identityNumber;

	/**
	 * 考试课程名称
	 */
	private String courseName;

	/**
	 * 考试课程code
	 */
	private String courseCode;

	/**
	 * 考试课程level
	 */
	private String courseLevel;

	/**
	 * 试卷类型
	 */
	private String paperType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

}
