package cn.com.qmth.examcloud.core.oe.student.face.client;

import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.ExamCaptureReq;
import cn.com.qmth.examcloud.commons.web.redis.RedisClient;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

/**
 * @author chenken
 * @date 2018/8/15 14:09
 * @company QMTH
 * @description ExamCaptureCloudServiceClient
 */
public class ExamCaptureCloudServiceClient extends BasicCloudClientSupport implements ExamCaptureCloudService {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1262703968678075364L;

	@Autowired
    private RestTemplate restTemplate;

    @Autowired
    private RedisClient redisClient;

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

	@Override
	public void disposeExamCaptureQueue(ExamCaptureReq examCaptureReq) {
		post("/examCapture", examCaptureReq, null);
	}


}
