package cn.com.qmth.examcloud.core.basic.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 学生人脸识别信息
 *
 * @author WANGWEI
 * @date 2018年8月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class StudentFaceBean implements JsonSerializable {

	private static final long serialVersionUID = -3722400898212427026L;

	private Long studentId;

	private Long facesetId;

	/**
	 * face++参数
	 */
	private String faceToken;

	/**
	 * 创建人
	 */
	private String creator;

	/**
	 * 更新人
	 */
	private String modifiedBy;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getFacesetId() {
		return facesetId;
	}

	public void setFacesetId(Long facesetId) {
		this.facesetId = facesetId;
	}

	public String getFaceToken() {
		return faceToken;
	}

	public void setFaceToken(String faceToken) {
		this.faceToken = faceToken;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

}
