package cn.com.qmth.examcloud.core.oe.student.face.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureQueueCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.ExamCaptureQueueReq;
import cn.com.qmth.examcloud.core.oe.student.face.api.response.ExamCaptureQueueResp;

@Service
public class ExamCaptureQueueCloudServiceClient extends BasicCloudClientSupport implements ExamCaptureQueueCloudService{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4653085252925280697L;

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	/*@Override
	public ExamCaptureQueueResp findExamCaptureQueues(ExamCaptureQueueReq examCaptureQueueReq) {
		return post("", examCaptureQueueReq, ExamCaptureQueueResp.class);
	}*/

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
