package cn.com.qmth.examcloud.core.questions.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷规则远程调用请求试卷结构对象
 */
public class GetPaperReq extends BaseRequest{

	private static final long serialVersionUID = 3124184148414419812L;

	/**
	 * 考试id
	 */
	private Long examId;
	
	/**
	 * 课程code
	 */
	private String courseCode;
	
	/**
	 * 考试类型：O,A...
	 */
	private String groupCode;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}
	
}
